#ifndef UMORNA_ENGINE
#define UMORNA_ENGINE

#define menu_limit      (24)
#define menu_item_limit (24)

enum {
	menu_traits,        menu_skills,        menu_values
};

extern int camera_x;
extern int camera_y;

extern void render_side (void);

extern void render_menu (int menu, int x, int y, int small, int align, int alpha);

extern void render_map (int offset_x, int offset_y);

extern void bind   (int signal, void (* action) (void));
extern void unbind (int signal);

extern void layout_configure   (void);
extern void layout_synchronize (void);

#endif
