#!/bin/bash

set -xe

clang -g -ansi -Weverything -Werror -c -o ./source/engine.o ./source/engine.c
clang -g -ansi -Weverything -Werror -c -o ./source/render.o ./source/render.c
clang -g -ansi -Weverything -Werror -c -o ./source/game.o   ./source/game.c
clang -g -ansi -Weverything -Werror -c -o ./source/main.o   ./source/main.c

gcc -g -ansi -Wall -Wextra -Wpedantic -Werror -c -o ./source/engine.o ./source/engine.c
gcc -g -ansi -Wall -Wextra -Wpedantic -Werror -c -o ./source/render.o ./source/render.c
gcc -g -ansi -Wall -Wextra -Wpedantic -Werror -c -o ./source/game.o   ./source/game.c
gcc -g -ansi -Wall -Wextra -Wpedantic -Werror -c -o ./source/main.o   ./source/main.c

gcc -o umorna ./source/main.o ./source/game.o ./source/engine.o ./source/render.o -lraylib -lpng

exit
