#ifndef UMORNA_GAME
#define UMORNA_GAME

#define trait_limit  ( 3)
#define skill_limit  (24)
#define value_limit  (10)
#define effect_limit ( 3)
#define might_limit  ( 1)
#define magic_limit  ( 1)
#define race_limit   ( 3)
#define item_limit   ( 3)
#define unit_limit   (54)
#define hero_limit   ( 1)
#define block_limit  (28)
#define model_limit  (72)
#define world_limit  ( 1)

#define world_model_limit  (120)
#define world_width        (120)
#define world_height       (100)

#define world_size (world_width * world_height)

#define player_limit (8)

#include <xolatile/chads.h>

enum {
	strength,           dexterity,          wisdom
};

enum {
	swords,             axes,               maces,              staves,             bows,               crossbows,          slings,             shields,
	armour,             alchemy,            medicine,           mercantile,         farmer,             miner,              lumber,             traps,
	water_magic,        earth_magic,        wind_magic,         black_magic,        rune_magic,         summon_magic,       ritual_magic,       charm_magic
};

enum {
	coin,               food,               wood,               stone,              iron,               gold,               silver,             coal,
	gems,               mana
};

enum {
	gain_minor_strength, gain_major_strength, gain_great_strength
};

enum {
	might
};

enum {
	magic
};

enum {
	orc,                human,              elf
};

enum {
	iron_mace,          iron_sword,         iron_axe
};

enum {
	gnoll,              gnoll_shaman,       goblin,             hob_goblin,         thief,              looter,             warrior,            shaman,
	chief,              wolf_rider,         boar_rider,         overlord,           ogre,               ogre_mage,          troll,              war_troll,
	basilisk,           wyvern,             peasant,            scout,              hunter,             swordman,           axeman,             crossbowman,
	horseman,           guard,              elite_guard,        lancer,             knight,             kingsman,           mage,               arch_mage,
	giant,              war_giant,          griffin,            roc,                sprite,             nature_spirit,      half_elf,           ranger,
	archer,             elite_archer,       blademaster,        water_mage,         earth_mage,         wind_mage,          rune_mage,          runemaster,
	sacrificer,         elk_rider,          warmaster,          coal_golem,         iron_golem,         sage
};

extern void game_configure (void);

#endif
