#include "game.h"
#include "render.h"
#include "engine.h"

#include <raylib.h>

int main (void) {
	game_configure   ();
	engine_configure ();
	layout_configure ();

	while (engine_active != 0) {
		layout_synchronize ();
		engine_synchronize ();

		render_map (camera_x, camera_y);

		render_side ();

		render_menu (menu_traits, 0, 0, 1, 1, 0);
		render_menu (menu_skills, 0, 0, 1, 1, 0);
		render_menu (menu_values, 0, 0, 1, 1, 0);
	}

	return (0);
}
