#ifndef UMORNA_RENDER
#define UMORNA_RENDER

#define BASE_SIZE ( 16)
#define ICON_SIZE ( 32)
#define FONT_SIZE ( 24)
#define SIDE_SIZE (480)

enum {
	menus,              icons,              orcs,               humans,             elves,              ashlands,
	render_texture_count
};

enum {
	signal_none,
	signal_up,          signal_down,        signal_left,        signal_right,       signal_escape,      signal_tabulator,   signal_return,      signal_new_line,
	signal_a,           signal_b,           signal_c,           signal_d,           signal_e,           signal_f,           signal_g,           signal_h,
	signal_i,           signal_j,           signal_k,           signal_l,           signal_m,           signal_n,           signal_o,           signal_p,
	signal_q,           signal_r,           signal_s,           signal_t,           signal_u,           signal_v,           signal_w,           signal_x,
	signal_y,           signal_z,           signal_0,           signal_1,           signal_2,           signal_3,           signal_4,           signal_5,
	signal_6,           signal_7,           signal_8,           signal_9,           signal_l_bracket,   signal_r_bracket,   signal_minus,       signal_equal,
	signal_slash,       signal_backslash,   signal_quote,       signal_backquote,   signal_space,       signal_backspace,   signal_dot,         signal_comma,
	signal_cite,        signal_caps_lock,
	signal_count
};

extern float render_zoom;
extern int   engine_active;

extern int signal;

extern int window_width  (void);
extern int window_height (void);

extern void render_sprite (int    sprite, int x, int y, int u, int v, int width, int height);
extern void render_string (char * string, int x, int y);

extern void engine_configure   (void);
extern void engine_synchronize (void);

#endif
